package movimento;

import java.awt.Image;
import java.io.File;
import java.io.IOException;

import javax.imageio.ImageIO;

public class Personaggio {

	public final static int MUOVI_DESTRA = 0;
	public final static int MUOVI_SINISTRA = 1;
	public final static int MUOVI_SOPRA = 2;
	public final static int MUOVI_SOTTO = 3;
	int x;
	int y;
	private int velocita;
	Image img = null;
	Image[] images = new Image[4];

	public Personaggio(int x, int y, int velocita) {
		this.x = x;
		this.y = y;
		this.velocita = velocita;
		try {
			images[MUOVI_DESTRA] = ImageIO.read(new File("pacman_destra.png"));
			images[MUOVI_SINISTRA] = ImageIO.read(new File("pacman_sinistra.png"));
			images[MUOVI_SOPRA] = ImageIO.read(new File("pacman_sopra.png"));
			images[MUOVI_SOTTO] = ImageIO.read(new File("pacman_sotto.png"));
			for (int i = 0; i < images.length; i++)
				images[i] = images[i].getScaledInstance(40, 40, Image.SCALE_SMOOTH);
			img = images[MUOVI_DESTRA];
		} catch (IOException e) {
			e.printStackTrace();
		}

	}

	public void muovi(int direzione) {
		switch (direzione) {
		case MUOVI_DESTRA:
			x += velocita;
			img = images[direzione];
			break;

		case MUOVI_SINISTRA:
			x -= velocita;
			img = images[direzione];
			break;

		case MUOVI_SOPRA:
			y -= velocita;
			img = images[direzione];
			break;

		case MUOVI_SOTTO:
			y += velocita;
			img = images[direzione];
			break;

		default:
			break;
		}
	}
}
